Subject: bug#20802: Segfault when showing non-GTK+ tooltip

From: martin rudalics <[email-masked]>
Date: Tue, 16 Jun 2015 15:30:14 +0200

In 32a4883..93ae9f4 master -> master I checked in a fix for X and NS
although I wasn't able to reproduce the crash on the latter (probably
due to the fact that on NS like with the native Gtk tooltips one can't
override the colors anyway).

 >> One last question: In struct image_cache we specify refcount as
 >> ptrdiff_t while w32fns.c defines image_cache_refcount as int.  Both
 >> xfns.c and nsfns.m define image_cache_refcount as ptrdiff_t.  Shouldn't
 >> we uniquify this?
 >
 > Yes, please.  The fewer differences between the various *fns.c and
 > *term.c functions with similar, let alone identical names, the better.

I made it a ptrdiff_t on Windows.

Thanks for the basic work, martin